Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGTransformList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGTransformList

All Implemented Interfaces:
  SVGTransformList

Direct Known Subclasses:
  SVGOMAnimatedTransformList.SVGOMTransformList

public abstract class AbstractSVGTransformList
extends AbstractSVGList
implements SVGTransformList

This class is the implementation of `SVGTransformList`.

Nested Class Summary
`protected class` | `AbstractSVGTransformList.SVGTransformItem` Internal representation of the item SVGPoint.
`protected class` | `AbstractSVGTransformList.TransformListBuilder` Helper class to interface the `PointsParser` and the `ListHandler`

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`static java.lang.String` | `SVG_TRANSFORMATION_LIST_SEPARATOR` Separator for a point list.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`protected` | `AbstractSVGTransformList()` Creates a new SVGTransformationList.

Method Summary
`SVGTransform` | `appendItem(SVGTransform newItem)`
`protected void` | `checkItemType(java.lang.Object newItem)` Check if the item is an SVGPoint.
`SVGTransform` | `consolidate()`
`protected abstract SVGException` | `createSVGException(short type, java.lang.String key, java.lang.Object[] args)` Create an SVGException when the checkItemType fails.
`protected SVGItem` | `createSVGItem(java.lang.Object newItem)` Return the item to be placed in the list.
`SVGTransform` | `createSVGTransformFromMatrix(SVGMatrix matrix)`
`protected void` | `doParse(java.lang.String value, ListHandler handler)` Parse the 'points' attribute.
`SVGTransform` | `getItem(int index)`
`protected java.lang.String` | `getItemSeparator()` Return the separator between transform in the list.
`SVGTransform` | `initialize(SVGTransform newItem)`
`SVGTransform` | `insertItemBefore(SVGTransform newItem, int index)`
`SVGTransform` | `removeItem(int index)`
`SVGTransform` | `replaceItem(SVGTransform newItem, int index)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, createDOMException, getItemImpl, getNumberOfItems, getValueAsString, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setAttributeValue, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGTransformList
`clear, getNumberOfItems`

Field Detail

### SVG_TRANSFORMATION_LIST_SEPARATOR

    public static final java.lang.String SVG_TRANSFORMATION_LIST_SEPARATOR

  Separator for a point list.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractSVGTransformList

    protected AbstractSVGTransformList()

  Creates a new SVGTransformationList.

Method Detail

### getItemSeparator

    protected java.lang.String getItemSeparator()

  Return the separator between transform in the list.

  Specified by:
    `getItemSeparator` in class `AbstractSVGList`
  Returns:
    separator of items in the list

### createSVGException

    protected abstract SVGException createSVGException(short type,
                                                       java.lang.String key,
                                                       java.lang.Object[] args)

  Create an SVGException when the checkItemType fails.

  Returns:
    SVGException

### initialize

    public SVGTransform initialize(SVGTransform newItem)
                            throws org.w3c.dom.DOMException,
                                   SVGException

  Specified by:
    `initialize` in interface `SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public SVGTransform getItem(int index)
                         throws org.w3c.dom.DOMException

  Specified by:
    `getItem` in interface `SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public SVGTransform insertItemBefore(SVGTransform newItem,
                                         int index)
                                  throws org.w3c.dom.DOMException,
                                         SVGException

  Specified by:
    `insertItemBefore` in interface `SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public SVGTransform replaceItem(SVGTransform newItem,
                                    int index)
                             throws org.w3c.dom.DOMException,
                                    SVGException

  Specified by:
    `replaceItem` in interface `SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public SVGTransform removeItem(int index)
                            throws org.w3c.dom.DOMException

  Specified by:
    `removeItem` in interface `SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public SVGTransform appendItem(SVGTransform newItem)
                            throws org.w3c.dom.DOMException,
                                   SVGException

  Specified by:
    `appendItem` in interface `SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### createSVGTransformFromMatrix

    public SVGTransform createSVGTransformFromMatrix(SVGMatrix matrix)

  Specified by:
    `createSVGTransformFromMatrix` in interface `SVGTransformList`

### consolidate

    public SVGTransform consolidate()

  Specified by:
    `consolidate` in interface `SVGTransformList`

### createSVGItem

    protected SVGItem createSVGItem(java.lang.Object newItem)

  Description copied from class: `AbstractSVGList`
  Return the item to be placed in the list. According to the parameter of the real SVGList represented here by an `Object` the implementation provide an item to be placed in the list.

  Specified by:
    `createSVGItem` in class `AbstractSVGList`
  Parameters:
    `newItem` - paramter of the modification method of the list
  Returns:
    an item to be placed in the list.

### doParse

    protected void doParse(java.lang.String value,
                           ListHandler handler)
                    throws ParseException

  Parse the 'points' attribute.

  Specified by:
    `doParse` in class `AbstractSVGList`
  Parameters:
    `value` - 'points' attribute value
    `handler` - : list handler
  Throws:
    `ParseException`

### checkItemType

    protected void checkItemType(java.lang.Object newItem)

  Check if the item is an SVGPoint.

  Specified by:
    `checkItemType` in class `AbstractSVGList`
  Parameters:
    `newItem` - object to test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.